Subject: [IPsec] [Ipsec] MULTIPLE_AUTH_SUPPORTED

From: Arvind_s <[email-masked]>
Date: Fri, 11 Jul 2008 23:50:45 -0700 (PDT)

Hi,

I have a question about AUTH computation in message exchange given in page 6
of RFC 4739 describing multiple auth exchanges.  

I would like to know how the AUTH paylaods are computed in message exchange
9, 10, 17 and 18.  What is the data used and what are teh keys used.

My understanding is

Messages 9 and 17:  Key is the MSK and data is the 1st IKE_SA_INIT message
Messages 10 and 18:  Key is the MSK and data is the 2nd IKE_SA_INIT message

I'd appreciate it if one of the experts in this forum could shed some light
on this.

Thanks,
Arvind

-- 
View this message in context: http://www.nabble.com/MULTIPLE_AUTH_SUPPORTED-tp18415382p18415382.html
Sent from the IETF - Ipsec mailing list archive at Nabble.com.

_______________________________________________
IPsec mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ipsec

---

From: <[email-masked]>
Date: Tue, 22 Jul 2008 14:19:04 +0300

Hi Arvind,

In messages 9 and 10, the key is the MSK from the 1st EAP exchange; 
in messages 17 and 18, the key is the MSK from the 2nd EAP exchange.

The data for message 9 is the IKE_SA_INIT request (message 1),
Nr (from message 2), and value prf(SK_pi,IDi') (where IDi' comes
from message 3). (See RFC 4306 Section 2.15 and RFC 4718
Section 3.1 for more details.)

The data for message 10 is the IKE_SA_INIT response (message 2),
Ni (from message 1), and value prf(SK_pr,IDr') (where IDr' comes
from message 4).

The data for message 17 is the same as message 9, except IDi'
comes from message 11.

The data for message 18 is the same as message 10.

Best regards,
Pasi

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> On Behalf Of ext Arvind_s
> Sent: 12 July, 2008 05:31
> To: [email-masked]
> Subject: [IPsec] [Ipsec] MULTIPLE_AUTH_SUPPORTED
> 
> 
> Hi,
> 
> I have a question about AUTH computation in message exchange given
> in page 6 of RFC 4739 describing multiple auth exchanges.
> 
> I would like to know how the AUTH paylaods are computed in message
> exchange 9, 10, 17 and 18.  What is the data used and what are teh
> keys used.
> 
> My understanding is
> 
> I'd appreciate it if one of the experts in this forum could shed
> some light on this.
> 
> Thanks,
> Arvind